/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { CBFConfiguration } from './cbfconfiguration';
// May contain unused imports in some cases
// @ts-ignore
import { CommonConfiguration } from './common-configuration';
// May contain unused imports in some cases
// @ts-ignore
import { LowCBFConfiguration } from './low-cbfconfiguration';
// May contain unused imports in some cases
// @ts-ignore
import { MidCBFConfiguration } from './mid-cbfconfiguration';
// May contain unused imports in some cases
// @ts-ignore
import { SubarrayConfiguration } from './subarray-configuration';

/**
 * Class to hold all CSP configuration.  :param config_id: an ID for CSP configuration :param subarray_config: Sub-array configuration to set :param common_config: the common CSP elements to set :param cbf_config: the CBF configurations to set :param midcbf_config: the MidCBF configurations to set :param lowcbf_config: the LowCBF configurations to set :param pst_config: the PST configurations to set :param pss_config: the PSS configurations to set
 * @export
 * @interface CSPConfiguration
 */
export interface CSPConfiguration {
    /**
     * 
     * @type {string}
     * @memberof CSPConfiguration
     */
    'config_id'?: string;
    /**
     *
     * @type {string}
     * @memberof CSPConfiguration
     */
    'name'?: string;
    /**
     * 
     * @type {SubarrayConfiguration}
     * @memberof CSPConfiguration
     */
    'subarray'?: SubarrayConfiguration;
    /**
     * 
     * @type {CommonConfiguration}
     * @memberof CSPConfiguration
     */
    'common'?: CommonConfiguration;
    /**
     * 
     * @type {CBFConfiguration}
     * @memberof CSPConfiguration
     */
    'cbf'?: CBFConfiguration;
    /**
     * 
     * @type {MidCBFConfiguration}
     * @memberof CSPConfiguration
     */
    'midcbf'?: MidCBFConfiguration;
    /**
     * 
     * @type {LowCBFConfiguration}
     * @memberof CSPConfiguration
     */
    'lowcbf'?: LowCBFConfiguration;
    /**
     * Class to hold PST configurations.
     * @type {object}
     * @memberof CSPConfiguration
     */
    'pst'?: object;
    /**
     * Class to hold PSS configurations.
     * @type {object}
     * @memberof CSPConfiguration
     */
    'pss'?: object;
}

